curl --location -g --request GET '/v1/products/watches/histories?metadata[metadata_created]=value_created' \
--header 'Authorization: Bearer {{token}}' \
--header 'Content-Type: application/json'{
"meta": {
"total": 1,
"from": 1,
"to": 1,
"current_page": 1,
"last_page": 1,
"per_page": 100,
"fields": [],
"trace_id": "0196587c-ae1f-7371-87bf-70ae3ecfc80d"
},
"data": [
{
"watch_id": "9ea50d84-4e46-4cda-a850-06daf11c1026",
"name": "Nike Shoe Price Drop Watch",
"target_id": "8099987467386791069",
"status": "active",
"metadata": {
"metadata_created": "value_created"
},
"rules": [
{
"field": "final_price",
"start_value": null,
"condition": "decrease",
"threshold": {
"type": "percentage",
"value": 10
}
},
{
"field": "on_sale",
"start_value": null,
"condition": "equals",
"threshold": {
"type": "value",
"value": 1
}
}
],
"notifications": [
{
"channel": "webhook",
"channel_target": "https://yourwebhook.com",
"frequency": "immediately",
"enabled": true
}
]
}
]
}